<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostrlpriceMapper">

    <resultMap id="costrlpriceMap" type="com.tofly.xrtygis.entity.Costrlprice">
        <id property="id" column="ID"/>
        <result property="year" column="YEAR"/>
        <result property="pacdj" column="PACDJ"/>
        <result property="yldj" column="YLDJ"/>
        <result property="pamZsdj" column="PAM_ZSDJ"/>
        <result property="pamWndj" column="PAM_WNDJ"/>
        <result property="ftdj" column="FTDJ"/>
        <result property="cndj" column="CNDJ"/>
        <result property="gmsjfhydj" column="GMSJFHYDJ"/>
        <result property="sydj" column="SYDJ"/>
        <result property="dlddjOne" column="DLDDJ_ONE"/>
        <result property="dlddjTwo" column="DLDDJ_TWO"/>
        <result property="wnzydj" column="WNZYDJ"/>
        <result property="ysfdj" column="YSFDJ"/>
        <result property="szysdj" column="SZYSDJ"/>
        <result property="bcsdj" column="BCSDJ"/>
        <result property="isnew" column="ISNEW"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="pac2dj" column="PAC2DJ"/>
        <result property="qbjzgdj" column="QBJZGDJ"/>
        <result property="otherdj" column="OTHERDJ"/>
        <result property="jbdldjOne" column="JBDLDJ_ONE"/>
        <result property="jbdldjTwo" column="JBDLDJ_TWO"/>
        <result property="upDate" column="UP_DATE"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
    </resultMap>



</mapper>
